Octave not working

joachim

Member
Joined
May 22, 2013
Messages
404
After installing Octave in Slackware with gslapt all seemed fine. But when starting from terminal I get the error "error while loading shared libraries libfltk_gl.so.1.1 file not found"

Also when starting QtOctave I get the message "... your version is : not found"  even after setiing path to /usr/bin

what can I do ?

Thanks for help.

Joachim
 

mcobit

Advanced Member
Joined
Jul 28, 2008
Messages
6,910
The fltk needs opengl to run. You vould try to compile it with GLshim from lunixbochs.


I think that slackware is not aware the there is no real opengl on the Pandora.
 

joachim

Member
Joined
May 22, 2013
Messages
404
@ mcobit : as a newbie I don't know how to go it by myself. Is there anyone who could do it for me ?

I thought the progs in Slackware were tried and tested to work. Maybe LinuxSWAT has some tips.
 

Linux-SWAT

Hardcore Member
Joined
Feb 13, 2010
Messages
8,274
Maybe a missing dependency.

There's two fltk packages in the extra repository.
 

joachim

Member
Joined
May 22, 2013
Messages
404
Thanks for the tip. After installing fltk. hdf5, lapack and blas libs the program is running now from terminal :)

With QTOctave I get the same result - all running now.

Thanks for the quick help.
 
Last edited by a moderator:

joachim

Member
Joined
May 22, 2013
Messages
404
Thanks for the info. I thought the programs would load all the needed libs when installing via Gslapt.
 

Linux-SWAT

Hardcore Member
Joined
Feb 13, 2010
Messages
8,274
There's no dependency resolution.

It's possible to do that but it's a lot of work.
 

joachim

Member
Joined
May 22, 2013
Messages
404
ah, ok. Just thought because almost all is working so well that I am a big fan of SL4P so I use it nearly 100 %.
 
Top